org.springframework.data.mapping

## Class AccessOptions.SetOptions

- java.lang.Object
- - org.springframework.data.mapping.AccessOptions.SetOptions

Enclosing class:
  AccessOptions

    public static class AccessOptions.SetOptions
    extends Object

Access options for setting values for property paths.

Author:
  Oliver Drotbohm

### Nested Class Summary

Nested Classes
`static class` `AccessOptions.SetOptions.Propagation` How to propagate setting values that cross collection and map properties.
`static class` `AccessOptions.SetOptions.SetNulls` How to handle intermediate null values when setting

### Constructor Summary

Constructors
Constructor and Description
`SetOptions(AccessOptions.SetOptions.SetNulls nullHandling, AccessOptions.SetOptions.Propagation collectionPropagation, AccessOptions.SetOptions.Propagation mapPropagation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccessOptions.SetOptions.SetNulls` `getNullHandling()`
`boolean` `propagate(PersistentProperty<?> property)` Returns whether the given property is supposed to be propagated, i.e. if values for it are supposed to be set at all.
`AccessOptions.SetOptions` `rejectNulls()` Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property.
`AccessOptions.SetOptions` `skipAndLogNulls()` Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property but a log message produced in TRACE level.
`AccessOptions.SetOptions` `skipNulls()` Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property.
`AccessOptions.SetOptions` `withCollectionAndMapPropagation(AccessOptions.SetOptions.Propagation propagation)` Shortcut to configure the same `AccessOptions.SetOptions.Propagation` for both collection and map property path segments.
`AccessOptions.SetOptions` `withCollectionPropagation(AccessOptions.SetOptions.Propagation collectionPropagation)`
`AccessOptions.SetOptions` `withMapPropagation(AccessOptions.SetOptions.Propagation mapPropagation)`
`AccessOptions.SetOptions` `withNullHandling(AccessOptions.SetOptions.SetNulls nullHandling)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetOptions

    public SetOptions(AccessOptions.SetOptions.SetNulls nullHandling,
                      AccessOptions.SetOptions.Propagation collectionPropagation,
                      AccessOptions.SetOptions.Propagation mapPropagation)

### Method Detail

#### withNullHandling

    public AccessOptions.SetOptions withNullHandling(AccessOptions.SetOptions.SetNulls nullHandling)

#### withCollectionPropagation

    public AccessOptions.SetOptions withCollectionPropagation(AccessOptions.SetOptions.Propagation collectionPropagation)

#### withMapPropagation

    public AccessOptions.SetOptions withMapPropagation(AccessOptions.SetOptions.Propagation mapPropagation)

#### getNullHandling

    public AccessOptions.SetOptions.SetNulls getNullHandling()

#### skipNulls

    public AccessOptions.SetOptions skipNulls()

Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property.

Returns:

#### skipAndLogNulls

    public AccessOptions.SetOptions skipAndLogNulls()

Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property but a log message produced in TRACE level.

Returns:

#### rejectNulls

    public AccessOptions.SetOptions rejectNulls()

Returns a new `AccessOptions` that will cause paths that contain null values to be skipped when setting a property.

Returns:

#### withCollectionAndMapPropagation

    public AccessOptions.SetOptions withCollectionAndMapPropagation(AccessOptions.SetOptions.Propagation propagation)

Shortcut to configure the same `AccessOptions.SetOptions.Propagation` for both collection and map property path segments.

Parameters:
  `propagation` - must not be null.
Returns:

#### propagate

    public boolean propagate(@Nullable
                             PersistentProperty<?> property)

Returns whether the given property is supposed to be propagated, i.e. if values for it are supposed to be set at all.

Parameters:
  `property` - can be null.
Returns: